xprt_register_transport
Prev | SUN RPC subsystem | Next

## Name

xprt_register_transport — register a transport implementation

## Synopsis

`int xprt_register_transport (` | struct xprt_class * | transport`)`;

## Arguments

`transport`

  transport to register

## Description

If a transport implementation is loaded as a kernel module, it can call this interface to make itself known to the RPC client.

## 0

transport successfully registered -EEXIST: transport already registered -EINVAL: transport module being unloaded

Prev | Up | Next
svc_reserve | Home | xprt_unregister_transport